# Some extra environment variables
export PATH="${HOME}/.local/bin:${PATH}"
export JDK_JAVA_OPTIONS="-Dawt.useSystemAAFontSettings=on -Dswing.aatext=true -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel -Dsun.java2d.opengl=true -Dsun.java2d.uiScale=2"
export _JAVA_AWT_WM_NONREPARENTING=1

add_ssh_keys() {
    pass show ssh/personal_gitea | ssh-add ~/.ssh/personal_gitea
    pass show ssh/personal_server | ssh-add ~/.ssh/personal_server
    pass show ssh/gandi_vps | ssh-add ~/.ssh/gandi_vps
    pass show ssh/notabug | ssh-add ~/.ssh/notabug
    pass show ssh/aur | ssh-add ~/.ssh/aur
}

# Because I use zsh to start X11
if [[ -o login ]]; then
    export LC_ALL=en_US.UTF-8
    eval "$(gnome-keyring-daemon --start 2>/dev/null)"
    export SSH_AUTH_SOCK
    SSH_ASKPASS_REQUIRE="force" SSH_ASKPASS="/usr/local/bin/ssh-askpass-cat.sh" add_ssh_keys &

    if ! [[ -v WAYLAND_DISPLAY ]] && [ "${XDG_VTNR}" -eq 1 ]; then
        exec Hyprland
    fi
fi
